<?php
/**
 * Plugin Name: WPA UnPress
 * Plugin URI:  https://wpassist.me/plugins/wpa-unpress
 * Description: Remove all traces of WP from your site
 * Version:     1.0.0
 * Author:      WP Assist
 * Author URI:  https://wpassist.me
 * Text Domain: wpa
 * License:     GPL2
 */

/* Remove Actions */ 
remove_action( 'wp_head', 'rsd_link' );
remove_action( 'wp_head', 'wlwmanifest_link' );
remove_action( 'wp_head', 'wp_shortlink_wp_head' );
remove_action( 'wp_head', 'rest_output_link_wp_head', 10 );
remove_action( 'wp_head', 'wp_oembed_add_discovery_links' );
remove_action( 'wp_head', 'print_emoji_detection_script', 7 );
remove_action( 'wp_print_styles', 'print_emoji_styles' );


/* Filters */
add_filter( 'show_admin_bar', '__return_false' );
add_filter( 'pre_comment_content', 'esc_html' );

add_filter('the_generator', 'wpa_unpress_remove_version');
function wpa_unpress_remove_version() {
	return '';
} 

add_filter( 'script_loader_src', 'wpa_unpress_cleanup_query_string', 15, 1 ); 
add_filter( 'style_loader_src', 'wpa_unpress_cleanup_query_string', 15, 1 );
function wpa_unpress_cleanup_query_string( $src ){ 

	if( strpos( $src, 'fonts.googleapis.com' ) !== false || strpos( $src, '?' ) === false )
		return $src;

	$parts = explode( '?', $src ); 
	return $parts[0];

} 

add_filter( 'login_errors', 'wpa_unpress_prevent_login_error' );
function wpa_unpress_prevent_login_error(){
  return 'Hmm?';
} 





